# Uses of Interface
javafx.event.EventDispatchChain

Packages that use EventDispatchChain
Package
Description
javafx.concurrent
Provides the set of classes for javafx.task.
javafx.event
Provides basic framework for FX events, their delivery and handling.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.transform
Provides the set of convenient classes to perform rotating, scaling, shearing, and translation transformations for `Affine` objects.
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of EventDispatchChain in javafx.concurrent

Methods in javafx.concurrent that return EventDispatchChain
Modifier and Type
Method
Description
`EventDispatchChain`
Service.`buildEventDispatchChain(EventDispatchChain tail)`
`EventDispatchChain`
Task.`buildEventDispatchChain(EventDispatchChain tail)`
Methods in javafx.concurrent with parameters of type EventDispatchChain
Modifier and Type
Method
Description
`EventDispatchChain`
Service.`buildEventDispatchChain(EventDispatchChain tail)`
`EventDispatchChain`
Task.`buildEventDispatchChain(EventDispatchChain tail)`

## Uses of EventDispatchChain in javafx.event

Methods in javafx.event that return EventDispatchChain
Modifier and Type
Method
Description
`EventDispatchChain`
EventDispatchChain.`append(EventDispatcher eventDispatcher)`
Appends the specified `EventDispatcher` to this chain.
`EventDispatchChain`
EventTarget.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.
`EventDispatchChain`
EventDispatchChain.`prepend(EventDispatcher eventDispatcher)`
Prepends the specified `EventDispatcher` to this chain.
Methods in javafx.event with parameters of type EventDispatchChain
Modifier and Type
Method
Description
`EventDispatchChain`
EventTarget.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.
`Event`
EventDispatcher.`dispatchEvent(Event event, EventDispatchChain tail)`
Dispatches the specified event by this `EventDispatcher`.

## Uses of EventDispatchChain in javafx.scene

Methods in javafx.scene that return EventDispatchChain
Modifier and Type
Method
Description
`EventDispatchChain`
Node.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this node.
`EventDispatchChain`
Scene.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this scene.
Methods in javafx.scene with parameters of type EventDispatchChain
Modifier and Type
Method
Description
`EventDispatchChain`
Node.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this node.
`EventDispatchChain`
Scene.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this scene.

## Uses of EventDispatchChain in javafx.scene.control

Methods in javafx.scene.control that return EventDispatchChain
Modifier and Type
Method
Description
`EventDispatchChain`
Dialog.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.
`EventDispatchChain`
Menu.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.
`EventDispatchChain`
MenuItem.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.
`EventDispatchChain`
Tab.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.
`EventDispatchChain`
TableColumnBase.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.
`EventDispatchChain`
TreeItem.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.
Methods in javafx.scene.control with parameters of type EventDispatchChain
Modifier and Type
Method
Description
`EventDispatchChain`
Dialog.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.
`EventDispatchChain`
Menu.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.
`EventDispatchChain`
MenuItem.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.
`EventDispatchChain`
Tab.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.
`EventDispatchChain`
TableColumnBase.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.
`EventDispatchChain`
TreeItem.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this target.

## Uses of EventDispatchChain in javafx.scene.transform

Methods in javafx.scene.transform that return EventDispatchChain
Modifier and Type
Method
Description
`EventDispatchChain`
Transform.`buildEventDispatchChain(EventDispatchChain tail)`
Methods in javafx.scene.transform with parameters of type EventDispatchChain
Modifier and Type
Method
Description
`EventDispatchChain`
Transform.`buildEventDispatchChain(EventDispatchChain tail)`

## Uses of EventDispatchChain in javafx.stage

Methods in javafx.stage that return EventDispatchChain
Modifier and Type
Method
Description
`EventDispatchChain`
Window.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this window.
Methods in javafx.stage with parameters of type EventDispatchChain
Modifier and Type
Method
Description
`EventDispatchChain`
Window.`buildEventDispatchChain(EventDispatchChain tail)`
Construct an event dispatch chain for this window.